#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Tkinter import *
import tkFileDialog
import tkMessageBox
import serial

def fix_arduino():
	s = serial.Serial(v.get(),9600, timeout=10)
	s.write("A")
	s.close()

def download_data():
	global data_log
	print "Downloading Data"
	s = serial.Serial(v.get(), 9600, timeout=10)
	s.write("R")
	data = s.readline()
	if data:
		data_log = []
	while data:
		data_log.append(data)
		data = s.readline()
	s.close()
	tkMessageBox.showinfo("Data Download", "Complete")
		
def save_log():
	print "Saving data log"
	filename = tkFileDialog.asksaveasfilename()
	f = open(filename, 'w')
	for i in range(0,len(data_log)):
		f.write(data_log[i])
		f.write("\n")
	f.close()
	tkMessageBox.showinfo("Data Save", "Complete")

# Hold downloaded data
data_log = []

root = Tk()
root.geometry("500x500")
root.title("Arduino Shoe Desktop Client")
arduino_photo = PhotoImage(file="arduino.gif")
label = Label(image=arduino_photo)
label.image = arduino_photo
label.pack()

v = StringVar()
v.set("/dev/ttyACM0")
serial_entry = Entry(root, textvariable=v)
serial_entry.pack()

button_fix = Button(root, text="Fix Arduino", command=fix_arduino)
button_fix.pack()

button_download = Button(root, text="Download", command=download_data)
button_download.pack()

button_save = Button(root, text="Save Data Log", command=save_log)
button_save.pack()

root.mainloop()
